package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 应用数据表
 * @TableName platomix_app
 */
@TableName(value ="platomix_app")
@Data
public class PlatomixApp implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 应用id
     */
    @TableField(value = "app_id")
    private String appId;

    /**
     * 应用名称
     */
    @TableField(value = "app_name")
    private String appName;

    /**
     * 应用图标
     */
    @TableField(value = "app_icon")
    private String appIcon;

    /**
     * 工作台(不确定)
     */
    @TableField(value = "app_workbench")
    private String appWorkbench;

    /**
     * 应用扩展数据
     */
    @TableField(value = "app_json")
    private String appJson;

    /**
     * 创建人ID
     */
    @TableField(value = "create_id")
    private String createId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 修改人ID
     */
    @TableField(value = "update_id")
    private String updateId;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    private Date updateTime;


    /**
     * 租户id
     */
    @TableField(value = "tenant_id")
    private String tenantId;

    /**
     * 0 启用 1 禁用
     */
    @TableField(value = "app_status")
    private Integer appStatus;

    /**
     * 应用对应数据源ID号
     */
    @TableField(value = "data_source_id")
    private Long dataSourceId;

}