package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 应用复制日志
 * @TableName platomix_app_copy_log
 */
@TableName(value ="platomix_app_copy_log")
@Data
public class PlatomixAppCopyLog implements Serializable {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 源应用 id
     */
    @TableField(value = "app_id")
    private String appId;

    /**
     * 源应用名称
     */
    @TableField(value = "app_name")
    private String appName;


    /**
     * 目标应用 id
     */
    @TableField(value = "target_app_id")
    private String targetAppId;

    /**
     * 目标应用名称
     */
    @TableField(value = "target_app_name")
    private String targetAppName;

    /**
     * 任务名称
     */
    @TableField(value = "task_name")
    private String taskName;

    /**
     * 表单ID
     */
    @TableField(value = "form_id")
    private String formId;

    /**
     * 表单复制结果 0 成功 1 失败
     */
    @TableField(value = "from_result")
    private Integer fromResult;

    /**
     * 数据集
     */
    @TableField(value = "cube_result")
    private Integer cubeResult;

    /**
     * 数据源
     */
    @TableField(value = "ds_result")
    private Integer dsResult;

    /**
     * 数据库
     */
    @TableField(value = "db_result")
    private Integer dbResult;

    /**
     * 详情
     */
    @TableField(value = "error_info")
    private String errorInfo;

    /**
     * 创建人ID
     */
    @TableField(value = "create_id")
    private String createId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 租户id
     */
    @TableField(value = "tenant_id")
    private String tenantId;

    /**
     * 0 启用 1 禁用
     */
    @TableField(value = "app_status")
    private Integer appStatus;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}