package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 应用文件夹分组
 * @TableName platomix_app_group
 */
@TableName(value ="platomix_app_group")
@Data
public class PlatomixAppGroup implements Serializable {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 应用 id
     */
    @TableField(value = "app_id")
    private String appId;

    /**
     * 应用文件夹 id
     */
    @TableField(value = "app_group_id")
    private String appGroupId;

    /**
     * 应用文件夹名称
     */
    @TableField(value = "app_group_name")
    private String appGroupName;

    /**
     * 目录排序
     */
    @TableField(value = "group_order")
    private Integer groupOrder;

    /**
     * 租户id
     */
    @TableField(value = "tenant_id")
    private String tenantId;

    /**
     * 创建人ID
     */
    @TableField(value = "create_id")
    private String createId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 修改人ID
     */
    @TableField(value = "update_id")
    private String updateId;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    private Date updateTime;


    @TableField(exist = false)
    private List<PlatomixAppGroupServer> appGroupServer;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}