package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 应用关联服务数据表
 * @TableName platomix_app_group_service
 *
 */
@TableName(value ="platomix_app_group_server")
@Data
public class PlatomixAppGroupServer implements Serializable {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 应用 id
     */
    @TableField(value = "app_id")
    private String appId;

    /**
     * 应用文件夹 id
     */
    @TableField(value = "app_group_id")
    private String appGroupId;


    /**
     * 关联服务名称
     */
    @TableField(value = "link_name")
    private String linkName;


    /**
     * 关联服务 id
     */
    @TableField(value = "link_id")
    private String linkId;

    /**
     * 关联服务类型(0=表单/1=报表/2=大屏)
     */
    @TableField(value = "link_type")
    private String linkType;

    /**
     * 创建人ID
     */
    @TableField(value = "create_id")
    private String createId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 租户id
     */
    @TableField(value = "tenant_id")
    private String tenantId;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}