package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 应用权限表
 * @TableName platomix_app_permission
 */
@TableName(value ="platomix_app_permission")
@Data
public class PlatomixAppPermission implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 应用id
     */
    @TableField(value = "app_id")
    private String appId;

    /**
     * 租户id
     */
    @TableField(value = "tenant_id")
    private String tenantId;

    /**
     * 权限组ID
     */
    @TableField(value = "data_perm_id")
    private Long dataPermId;


    /**
     * 创建人ID
     */
    @TableField(value = "create_user_id")
    private String createUserId;


    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;


    /**
     * 修改人ID
     */
    @TableField(value = "create_by")
    private String createBy;

}