package org.springblade.modules.system.rpc;


import lombok.extern.slf4j.Slf4j;
import org.springblade.bi.client.CubeDataClient;
import org.springblade.bi.client.form.AppCreateDatasourceParams;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Slf4j
@Component
public class CubeDataClientRpc {

    @Resource
    private CubeDataClient cubeDataClient;

    /**
     * 创建数据源信息
     * @param appId
     * @param appName
     * @return Long
     */
    public Long createReportDatasource(String appId, String appName){
        AppCreateDatasourceParams params = new AppCreateDatasourceParams();
        params.setNewAppId(Long.valueOf(appId));
        params.setNewAppName(appName);
        return cubeDataClient.createReportDatasource(params);
    }


    /**
     * 删除数据源信息
     * @param  dataSourceId
     * @return Boolean
     */
    public Boolean delReportDatasource(Long dataSourceId){
        return cubeDataClient.delReportDatasource(dataSourceId);
    }

}
