/**
 * 
 */
package org.springblade.system.client.factory;

import lombok.extern.slf4j.Slf4j;
import org.springblade.system.client.AppClient;
import org.springblade.system.client.model.PlatomixAppCopyLogModel;
import org.springblade.system.client.model.PlatomixAppCopyModel;
import org.springblade.system.client.model.PlatomixAppGroupServerModel;
import org.springblade.system.client.model.PlatomixAppModel;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author wookvn
 *
 */
@Slf4j
@Component
public class AppClientFallbackFactory implements FallbackFactory<AppClient> {

	@Override
	public AppClient create(Throwable cause) {
		log.error("DataPermClient invoke fallback:{}", cause.getMessage());
		return new AppClient() {


			@Override
			public Boolean deleteByLinkId(String id, String type, String appId) {
				return null;
			}

			@Override
			public PlatomixAppCopyLogModel taskInfo(PlatomixAppCopyLogModel model) {
				return null;
			}

			@Override
			public PlatomixAppGroupServerModel bind(PlatomixAppGroupServerModel model) {
				return null;
			}

			@Override
			public PlatomixAppModel getAppInfo(String appId) {
				return null;
			}

			@Override
			public Boolean updateAppDatasoruceId(String appId, Long datasourceId) {
				return null;
			}

			@Override
			public Boolean deleteByAppId(String appId) {
				return null;
			}

			@Override
			public PlatomixAppCopyModel copyProject(PlatomixAppCopyModel copyModel) {
				return null;
			}

		};
	}

}
