package org.springblade.system.client.model;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 模板数据表
 * @TableName platomix_app_copy_log
 */
@Data
public class PlatomixAppCopyLogModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 源应用 id
     */
    private String appId;

    /**
     * 源应用名称
     */
    private String appName;

    /**
     * 目标应用 id
     */
    private String targetAppId;

    /**
     * 目标应用名称
     */
    private String targetAppName;

    /**
     * 任务ID号
     */
    private String taskName;


    /**
     * 表单复制结果 0 成功 1 失败
     */
    private Integer fromResult;

    /**
     * 数据集
     */
    private Integer cubeResult;

    /**
     * 数据源
     */
    private Integer dsResult;

    /**
     * 数据库
     */
    private Integer dbResult;

    /**
     * 详情
     */
    private String errorInfo;

    /**
     * 创建人ID
     */
    private String createId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 0 启用 1 禁用
     */
    private Integer appStatus;

    /**
     * 表单ID号
     */
    private String  formId;

}