CREATE TABLE `digital_operation_ac`.`platomix_app` (
                                `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `app_id` varchar(255) NOT NULL COMMENT '应用 id',
                                `app_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '应用名称',
                                `app_icon` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT 'icon',
                                `app_workbench` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT '工作台',
                                `app_json` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT '工作台',
                                `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
                                `app_status` int NOT NULL DEFAULT '0' COMMENT '0 启用 1 禁用',
                                `create_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人ID',
                                `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                `update_id` varchar(50) DEFAULT NULL COMMENT '修改人ID',
                                `update_time` datetime DEFAULT NULL COMMENT '修改人时间',
                                `data_source_id` bigint DEFAULT NULL DEFAULT '0' COMMENT '数据源ID号',
                                PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB  COMMENT='应用数据表';

CREATE TABLE `digital_operation_ac`.`platomix_app_copy_log` (
                                         `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `app_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '源应用 id',
                                         `target_app_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '目标应用 id',
                                         `app_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '源应用名称',
                                         `target_app_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '目标应用名称',
                                         `task_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '任务名称',
                                         `from_result` int DEFAULT NULL COMMENT '表单复制结果 0 成功 1 失败',
                                         `cube_result` int DEFAULT NULL COMMENT '数据集',
                                         `ds_result` int DEFAULT NULL COMMENT '数据源',
                                         `db_result` int DEFAULT NULL COMMENT '数据库',
                                         `error_info` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT '详情',
                                         `create_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人ID',
                                         `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                         `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
                                         `app_status` int NOT NULL DEFAULT '0' COMMENT '0 启用 1 禁用',
                                         `form_id` varchar(128) NOT NULL DEFAULT '' COMMENT '表单ID号',
                                         PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COMMENT='应用复制日志信息';



CREATE TABLE `digital_operation_ac`.`platomix_app_group` (
                                      `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                      `app_id` varchar(255) NOT NULL COMMENT '应用 id',
                                      `app_group_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '应用文件夹 id',
                                      `app_group_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '应用文件夹名称',
                                      `group_order` int DEFAULT NULL COMMENT '排序',
                                      `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
                                      `create_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人ID',
                                      `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                      `update_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '修改人ID',
                                      `update_time` datetime DEFAULT NULL COMMENT '修改人时间',
                                      PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COMMENT='应用文件夹分类表';

CREATE TABLE `digital_operation_ac`.`platomix_app_group_server` (
                                             `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                             `app_id` varchar(255) NOT NULL COMMENT '应用 id',
                                             `app_group_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '应用文件夹 id',
                                             `link_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '关联服务 id',
                                             `link_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '关联服务名称',
                                             `link_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '关联服务类型',
                                             `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
                                             `create_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人ID',
                                             `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                             PRIMARY KEY (`id`) USING BTREE,
                                             KEY `app_group_id` (`app_group_id`,`tenant_id`,`app_id`) USING BTREE
) ENGINE=InnoDB  COMMENT='应用关联服务数据表';


ALTER TABLE `digital_operation_ac`.`platomix_app_copy_log`
    ADD COLUMN `form_id` varchar(128) NOT NULL DEFAULT '' COMMENT '表单ID号';

ALTER TABLE `digital_operation_ac`.`platomix_app`
    ADD COLUMN `data_source_id` bigint NOT NULL COMMENT '数据源ID号';

ALTER TABLE `digital_operation_ac`.`blade_log_api`
    ADD COLUMN `app_id` varchar(128) NOT NULL DEFAULT '' COMMENT '应用ID';


CREATE TABLE `digital_operation_ac`.`platomix_app_permission` (
                                           `id` bigint NOT NULL COMMENT '主键ID',
                                           `app_id` varchar(128) COLLATE utf8mb4_0900_ai_ci DEFAULT '000000' COMMENT '应用id',
                                           `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
                                           `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
                                           `create_time` datetime NOT NULL COMMENT '创建时间',
                                           `create_user_id` bigint NOT NULL COMMENT '创建人ID',
                                           `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB COMMENT='应用权限';
